package base

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong"
	"shylinux.com/x/operation/src/base/model"
)

type Table struct {
	guanlixitong.Table
	list string `name:"list base_uid uid auto" role:"void"`
}

func (s Table) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.USER_BASE_ROLE:
		s.InputsListRole(m, UserBaseRoleList, arg...)
	case model.BASE_TYPE:
		s.InputsList(m, BaseTypeList, arg...)
	default:
		s.Table.Inputs(m, arg...)
	}
}
func (s Table) RewriteAppend(m *ice.Message, arg ...string) *ice.Message {
	m.RewriteAppend(func(value, key string, index int) string {
		switch key {
		case model.USER_BASE_ROLE:
			value = UserBaseRole(kit.Int(value)).String()
		case model.BASE_TYPE:
			value = BaseType(kit.Int(value)).String()
		}
		return value
	})
	return s.Table.RewriteAppend(m)
}

type Tables struct { Table }

func (s Tables) BeforeMigrate(m *ice.Message, arg ...string) {}