package h2

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong"
	"shylinux.com/x/operation/src/h2/model"
)

type Table struct {
	guanlixitong.Table
	list string `name:"list h2_uid uid auto" role:"void"`
}

func (s Table) Inputs(m *ice.Message, arg ...string) {
	switch arg[0] {
	case model.USER_H2_ROLE:
		s.InputsListRole(m, UserH2RoleList, arg...)
	case model.H2_TYPE:
		s.InputsList(m, H2TypeList, arg...)
	default:
		s.Table.Inputs(m, arg...)
	}
}
func (s Table) RewriteAppend(m *ice.Message, arg ...string) *ice.Message {
	m.RewriteAppend(func(value, key string, index int) string {
		switch key {
		case model.USER_H2_ROLE:
			value = UserH2Role(kit.Int(value)).String()
		case model.H2_TYPE:
			value = H2Type(kit.Int(value)).String()
		}
		return value
	})
	return s.Table.RewriteAppend(m)
}

type Tables struct { Table }

func (s Tables) BeforeMigrate(m *ice.Message, arg ...string) {}