package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_H2_ROLE = "user_h2_role"
	H2_UID       = "h2_uid"
	H2_NAME      = "h2_name"
	H2_TYPE      = "h2_type"
	H3_UID       = "_uid"
)

type UserH2 struct {
	db.ModelUserPlace
	H2UID string `gorm:"type:char(32);index"`
}
type H2 struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type H3 struct {
	db.ModelContent
	H2UID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &UserH2{}, &H2{}, &H3{}) }